Parent components are really containers for other components For instance, FontComponent has size, family, weight, etc.

### Hierarchy

- SuiComponentBase
  - SuiComponentParent

## Index

### Constructors

- constructor

### Accessors

- html

### Methods

- bind
- changed
- handleChanged
- makeClasses

## Constructors

### constructor

- new SuiComponentParent(dialog: SuiDialogNotifier, parameters: SuiBaseComponentParams): SuiComponentParent

- Inherited from SuiComponentBase.constructor

  - Defined in src/ui/dialogs/components/baseComponent.ts:114

  #### Parameters

  - ##### dialog: SuiDialogNotifier

  - ##### parameters: SuiBaseComponentParams

  #### Returns SuiComponentParent

## Accessors

### Abstract html

- get html(): any

- Inherited from SuiComponentBase.html

  - Defined in src/ui/dialogs/components/baseComponent.ts:132

  Return the html that lives in side the component DOM. Implemented by the base class.

  #### Returns any

## Methods

### Abstract bind

- bind(): void

- Inherited from SuiComponentBase.bind

  - Defined in src/ui/dialogs/components/baseComponent.ts:127

  Called by the dialog after rendering, so the derived class can bind the html controls

  #### Returns void

### Abstract changed

- changed(): void

- - Defined in src/ui/dialogs/components/baseComponent.ts:176

  For parent component, their changed method is called by child, and then the parent calls the dialog changed()

  #### Returns void

### handleChanged

- handleChanged(): void

- Inherited from SuiComponentBase.handleChanged

  - Defined in src/ui/dialogs/components/baseComponent.ts:138

  Called by the derived class when the value changes. The change flag is set to true, so the dialog will know which component changed.

  #### Returns void

### makeClasses

- makeClasses(classes: string): string

- Inherited from SuiComponentBase.makeClasses

  - Defined in src/ui/dialogs/components/baseComponent.ts:148

  combine component classes with string, used for composites

  #### Parameters

  - ##### classes: string

    string ot append

  #### Returns string

  combined strings

Generated using TypeDoc